<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:composite="http://java.sun.com/jsf/composite"
      xmlns:p="http://primefaces.org/ui">


    <composite:interface>
        <composite:attribute name="uiBean" required="true" />
    </composite:interface>
    <composite:implementation>
        <ui:param name="uiBean" value="#{cc.attrs.uiBean}" />
        <f:loadBundle
            basename="org.inra.ecoinfo.glacpe.identification.message"
            var="requestOLARightsManagementPanel" />
        <p:panelGrid columns="2" 
                     rendered="#{uiBean.hasSelection}">
            <h:outputLabel value="#{requestOLARightsManagementPanel.PROPERTY_MSG_CREATE_DATE}" for="createDate" />
            <h:outputText id="createDate" value="#{uiBean.currentRequest.createDate}" title="createDate" >
                <f:convertDateTime pattern="dd/MM/yyyy à hh:mm" />
            </h:outputText>
            <h:outputLabel value="#{requestOLARightsManagementPanel.PROPERTY_MSG_INSTITUTION}" for="institution" />
            <h:outputText id="institution" value="#{uiBean.currentRequest.rightRequest.emploi}" title="institution" />
            
            <h:outputLabel value="#{requestOLARightsManagementPanel.PROPERTY_MSG_FUNCTION}" for="fonction" />
            <h:outputText id="fonction" value="#{uiBean.currentRequest.rightRequest.poste}" title="fonction" />
            
            <h:outputLabel value="#{requestOLARightsManagementPanel.PARAM_MSG_ENCADRANT}" for="encadrant" />
            <h:outputText id="encadrant" value="#{uiBean.currentRequest.rightRequest.encadrant}" title="encadrant" />
            
            <h:outputLabel value="#{requestOLARightsManagementPanel.PROPERTY_MSG_ADRESS}" for="adress" />
            <h:outputText id="adress" value="#{uiBean.currentRequest.rightRequest.workAdress}" title="adress" />
            
            <h:outputLabel value="#{requestOLARightsManagementPanel.PROPERTY_MSG_PHONE}" for="phone" />
            <h:outputText id="phone" value="#{uiBean.currentRequest.rightRequest.phone}" title="phone"/>
            
            <h:outputLabel value="#{requestOLARightsManagementPanel.PROPERTY_MSG_OBJECTIVES}" for="objectives" />
            <h:outputText id="objectives" value="#{uiBean.currentRequest.rightRequest.request}" title="objectives"/>
            
            <h:outputLabel value="#{requestOLARightsManagementPanel.PROPERTY_MSG_RELATION}" for="relation" />
            <h:outputText id="relation" value="#{uiBean.currentRequest.rightRequest.localScientist}" title="relation"/>
            
            <h:outputLabel value="#{requestOLARightsManagementPanel.PROPERTY_MSG_REQUIRED_DATA}" for="requiredData" />
            <h:outputText id="requiredData" value="#{uiBean.currentRequest.rightRequest.variables}" title="requiredData"/>
            
            <h:outputLabel value="#{requestOLARightsManagementPanel.PROPERTY_MSG_SITES}" for="site" />
            <h:outputText  id="site" value="#{uiBean.currentRequest.rightRequest.sites}" title="site"/>
            
            <h:outputLabel value="#{requestOLARightsManagementPanel.PARAM_MSG_DATES}" for="date" />
            <h:outputText id="date" value="#{uiBean.currentRequest.rightRequest.dates}" title="date"/>

        </p:panelGrid>

    </composite:implementation>

</html>